
Application: gvSIG desktop - gvSIG bugs #1070
Exporting layer reprojected on-the-fly does not produce a SHP with new projection
09/03/2012 08:54 AM - Juan Lucas Domínguez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: CRS
Target version: 2.0.0-devel-2053
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2051 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Exporting layer reprojected on-the-fly does not produce a SHP with new projection.

- Create view in EPSG:4326
- Add layer reprojected on the fly (for example,  
https://downloads.gvsig.org/download/geodata/vector/SHP2D/Espana_utm30_SHP2D.zip)
- Select layer and export to SHP. Say YES when asked whether layer should be added to view.
- Layer is added but not reprojected, not like gvSIG 1.X

History
#1 - 09/10/2012 04:05 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 09/11/2012 03:31 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2053

gvsig-desktop:r38883
Reprojecting geometries when source and target projections are not equal.

#3 - 09/11/2012 03:39 PM - Juan Lucas Domínguez
- File bcn-4326.zip added

Testing steps:

- Create a view in EPSG:32630 and add shapefile "bcn-4326.shp" (see attached "bcn-4326.zip") indicating that the shapefile is in EPSG:4326
- Select the layer and use "Layer > Export to > Shapefile" The resulting file can be called "bcn-32630.shp". When application asks to add the file
immediately, say NO.
- Go to the normal "Add layer" dialog and add manually the shapefile you have just created. Do NOT change anything in the properties, load the file as
it is,  and it should coincide with the other layer, then everything is OK.
https://downloads.gvsig.org/download/geodata/vector/SHP2D/Espana_utm30_SHP2D.zip


#4 - 09/26/2012 09:38 AM - María Maluenda
- File gvSIG-environ.info added
- Status changed from Fixed to Closed

Closed in the gvSIG build 2053

Files
bcn-4326.zip 643 Bytes 09/11/2012 Juan Lucas Domínguez
gvSIG-environ.info 6.35 KB 09/26/2012 María Maluenda
